<?
	/** Wyświetlanie raportu z otrzymanych rozwiązań.
	 * @author Michał Malinowski
	 * @package XPStudent
	 */

	 /** Funkcja wypisująca raport z otrzymanego rozwiązania.
	  *
		* Do informacji należą: nr grupy, prowadzący, zadania w tym przedmiocie (nr, nazwa, termin, link, autor).
		* @param string $zaj_cyk identyfikator przedmiotu.
	  */
	function showRaport() {
		global $sess;

		$error = $sess->get('Sfile_error');
		$status = $sess->get('Sfile_status');
		if (empty($error) && empty($status))
			return;
		printf('<h1>Raport z wysłania pracy</h1>');
		if (!empty($error)) {
			printf('<p>Plik nie został wysłany! Komunikat błędu:</p>');
			printf('<p class="bigakapit"><b>%s</b></p>', $error);
		}
		else {
			$zajData = &$_SESSION[$sess->name('Sgroups')][$status['zaj_cyk']];
			printf('<p>Potwierdzam przyjęcie pracy:</p>');
			$labLink = new CLink('Slaboratory');
			$labLink->addFirstParam('Szaj_cyk', $status['zaj_cyk']);
			$taskLink = new CLink('Stask');
			$taskLink->addFirstParam('Szaj_cyk', $status['zaj_cyk']);
			$taskLink->addParam('Stask', $status['idTask']);
			$tab = new CTable(2, '', 'cellspacing="0" cellpadding="8"');
			$tab->addField('Przedmiot: ');
			$tab->addField($labLink->get($zajData['przedmiot']));
			$tab->setLight();
			$tab->addField('Zadanie: ');
			$tab->addField($taskLink->get($zajData['tasks'][$status['idTask']]['nazwa']));
			$tab->addField('Nr wysłania: ');
			$tab->addField($status['nr']);
			$tab->addField('Id wysłania: ');
			$tab->addField($status['id']);
			$tab->addField('Rozmiar: ');
			$tab->addField($status['size']);
			$tab->addField('Data: ');
			$tab->addField($status['date']);
			$tab->close();
		}
	}

	showRaport();
?>
